commit 0d132a5077b2039bd4d9b104add3eaef9a8431c9
Author: freddy77 <freddy77>
Date:   Tue May 26 16:20:32 2009 +0000

    small change

diff --git a/ChangeLog b/ChangeLog
index fe54cc7..c267c8d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue May 26 18:18:50 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/query.c: reduce num scope
+
 Fri May 22 19:33:28 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/sql2tds.c: fix genparams
 
@@ -1576,4 +1579,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2796 2009/05/22 17:33:35 freddy77 Exp $
+$Id: ChangeLog,v 1.2797 2009/05/26 16:20:32 freddy77 Exp $
diff --git a/src/tds/query.c b/src/tds/query.c
index 3d227af..c45be3b 100644
--- a/src/tds/query.c
+++ b/src/tds/query.c
@@ -46,7 +46,7 @@
 
 #include <assert.h>
 
-TDS_RCSID(var, "$Id: query.c,v 1.235 2009/03/19 16:02:36 freddy77 Exp $");
+TDS_RCSID(var, "$Id: query.c,v 1.236 2009/05/26 16:20:32 freddy77 Exp $");
 
 static void tds_put_params(TDSSOCKET * tds, TDSPARAMINFO * info, int flags);
 static void tds7_put_query_params(TDSSOCKET * tds, const char *query, size_t query_len);
@@ -1440,7 +1440,6 @@ static int
 tds_put_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 {
 	unsigned char *src;
-	TDS_NUMERIC *num;
 	TDSBLOB *blob = NULL;
 	size_t colsize, size;
 
@@ -1598,7 +1597,7 @@ tds_put_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 
 		/* put real data */
 		if (is_numeric_type(curcol->column_type)) {
-			num = (TDS_NUMERIC *) src;
+			TDS_NUMERIC *num = (TDS_NUMERIC *) src;
 			tds_put_n(tds, num->array, colsize);
 		} else if (blob) {
 			tds_put_n(tds, s, colsize);

